Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Ruby FFI bindings to the http-parser library.
Ruby
Branch: master
Failed to load latest commit information.
lib/ffi/http Added @since tags.
spec Added specs for #error! and #stop!.
.document Initial commit.
.gitignore Initial commit.
.rspec
.yardopts Initial commit.
ChangeLog.md
LICENSE.txt Initial commit.
README.md Mention we only support http-parser 1.0.
Rakefile Initial commit.
ffi-http-parser.gemspec Initial commit.
gemspec.yml Mention we only support http-parser 1.0.

README.md

ffi-http-parser

Description

Ruby FFI bindings to the Joyent's http-parser (1.0) library.

Features

  • Provides the same API as http-parser-lite.
  • Supports:
    • Ruby 1.8.7
    • Ruby >= 1.9.1
    • JRuby >= 1.6.7

Examples

require 'ffi/http/parser'

parser = FFI::HTTP::Parser.new do |parser|
  parser.on_message_begin do
    puts "message begin"
  end

  parser.on_message_complete do
    puts "message end"
  end

  parser.on_url do |data|
    puts "url: #{data}"
  end

  parser.on_header_field do |data|
    puts "field: #{data}"
  end

  parser.on_header_value do |data|
    puts "value: #{data}"
  end

  parser.on_body do |data|
    puts "body: #{data}"
  end
end

Requirements

Install

$ gem install ffi-http-parser

Copyright

Copyright (c) 2012 Hal Brodigan

See {file:LICENSE.txt} for details.

Something went wrong with that request. Please try again.